Retrieving an enriched profile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Match & Enrich API allows you to retrieve an enriched company profile by passing the company name and location ( either registration address or operational location ) as input.

Run in Postman


Required fields

The request payload must include the following elements:

  • Values for either legal_names or commercial_names arrays .
  • At least one of the following fields: address_txt, website, registry_id or phone_number.
📘

Single company request

Please note that one request must include information about a single company.

The legal_names and commercial_names fields are available as arrays to enable passing in name variations or historical names of the same company.

Receive registry information

Registry information is returned in the response whenever available and the provided input can help validate the presence of a company in a given jurisdiction.

Passing in either legal_names or commercial_names inputs, together with the address_txt and optionally, the registry_id will enable validation of registry information.

Enable Advanced Matching

While the API can operate with limited input, providing additional information will help avoid false positive matches.

Company names, especially commercial ones, are often very common. Therefore, a more comprehensive address_txt, along with the website of the company, registry_id or phone_number of the business , can be extremely helpful in enhancing the accuracy of the results.

👍

Adding company details

When extra information is supplied (e.g., a more detailed company address, website, registry_id or phone number), the matching process is designed to handle some inaccuracy in the input.

As a result, even in cases of typographical errors or minor differences in the input company name, the API can still make a match by using additional details, such as the phone number, to identify the appropriate company.

For additional information on matching, please refer to theHow the matching works section.


Successful responses

When the request is successful, the API returns a standard 200 OK HTTP status, together with the JSON representation of the enriched company profile.

📖

Response datapoints

For a comprehensive list of all data points returned and additional information, please refer to the Response Fields and Types page.

Error responses

If the request is unsuccessful, the API will return one of the below HTTP status responses:

  • 400 Bad Request, if the input lacks any of the required fields .
  • 202 Accepted, if the requested entity does not correspond to any entry in the Veridion database.
  • other standard HTTP error responses, detailed in the Response codes section.

Any error response follows a specific structure. Please see the Error response format section for more details.


Query Params
double

Numerical value between 0 and 1 that indicates if a match should be excluded based on a match score threshold. For example, if a value of 0.6 is passed, any match having a match score below 0.6 will be dropped.

Body Params
json
required

Wrapper object that holds input company information.

legal_names
array of strings
required
commercial_names
array of strings
required

Commercial names by which the company is known, variations and / or historical commercial names. These may or may not be the same as the legal name. For example, a company may be called "The Acme Inc.", yet it's referred to by its commercial name, "Acme". Optional when legal_names are present.

commercial_names*
string
required

The location of the company, either the HQ or the location of a branch. This can either be just the ISO 2-digit country code (e.g. "US") or a partial address (e.g. "California, United States") or a full address (e.g. 775 Eastgate Industrial Parkway, Kankakee, 60901, Illinois, United States). Optional when either website or phone_number are present.

string

Local Unique ID as provided by the local registry where this legal entity is incorporated.

string

The primary phone number associated with the company, in any available format (i.e. with or without country / region prefix).

string

The URL of the main company website.

Headers
string
required

Your individual API key.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json